--- /dev/null
+#!/bin/sh
+
+####################################################################################
+#
+# The script is the part of the SALOME installation procedure.
+# This script is used to show SALOME Release Notes.
+#
+# Copyright : 2006 CEA/DEN, EDF R&D
+####################################################################################
+
+# This procedure checks if the Release Notes file can be shown.
+# Returns 0 in success and 1 if any error occurs.
+check_enabled()
+{
+ ROOT_DIR=`(cd ${SRC_DIR}\.. ; pwd)`;
+ if [ "${ROOT_DIR}" != "" ] ; then
+ rn_files=`find ${ROOT_DIR} -name "*Release_Notes.pdf"`
+ if [ "$?" == "0" ] && [ "$rn_files" != "" ] ; then
+ return 0;
+ fi
+ fi
+ return 1;
+}
+
+# This procedure is used to show Release Notes file.
+# Returns 0 in success and 1 if any error occurs.
+execute()
+{
+ ROOT_DIR=`(cd ${SRC_DIR}\.. ; pwd)`;
+ if [ "${ROOT_DIR}" != "" ] ; then
+ rn_file=`find ${ROOT_DIR} -name "*Release_Notes.pdf"`
+ if [ "$?" == "0" ] && [ "$rn_file" != "" ] ; then
+ xpdf=`which xpdf >& /dev/null`
+ if [ "$?" == "0" ] ; then
+ xpdf ${rn_file} &
+ return 0;
+ fi
+ fi
+ fi
+ return 1;
+}
+
+# Set general usage variables from the command line parameters:
+# $0 is the path to this script itself
+# $1 is the name of the procedure to be run
+# $2 is the installation directory path
+# $3 is the temporary directory path
+SCRIPT_DIR=`dirname $0`
+PROCEDURE=$1;
+INSTALL_ROOT=$2;
+INSTALL_WORK=$3;
+
+# Run the procedure
+$PROCEDURE
--- /dev/null
+#!/bin/sh
+
+####################################################################################
+#
+# The script is the part of the SALOME installation procedure.
+# This script is used to launch SALOME desktop.
+#
+# Copyright : 2006 CEA/DEN, EDF R&D
+####################################################################################
+
+# This procedure checks if the SALOME desktop can be run.
+# Returns 0 in success and 1 if any error occurs.
+check_enabled()
+{
+ if [ -f ${INSTALL_ROOT}/env_products.sh ] ; then
+ source ${INSTALL_ROOT}/env_products.sh
+ fi
+ if [ "${KERNEL_ROOT_DIR}" != "" ] && [ -f ${KERNEL_ROOT_DIR}/bin/salome/runSalome ] ; then
+ return 0;
+ fi
+ return 1;
+}
+
+# This procedure is used to launch SALOME.
+# Returns 0 in success and 1 if any error occurs.
+execute()
+{
+ if [ -f ${INSTALL_ROOT}/env_products.sh ] ; then
+ source ${INSTALL_ROOT}/env_products.sh
+ fi
+ if [ "${KERNEL_ROOT_DIR}" != "" ] && [ -f ${KERNEL_ROOT_DIR}/bin/salome/runSalome ] ; then
+ runSalome >& /dev/null
+ if [ "$?" == "0" ] ; then
+ return 0;
+ fi
+ fi
+ return 1;
+}
+
+# Set general usage variables from the command line parameters:
+# $0 is the path to this script itself
+# $1 is the name of the procedure to be run
+# $2 is the installation directory path
+# $3 is the temporary directory path
+SCRIPT_DIR=`dirname $0`
+PROCEDURE=$1;
+INSTALL_ROOT=$2;
+INSTALL_WORK=$3;
+
+# Run the procedure
+$PROCEDURE